Don't suggest deprecated flags in error messages
ClosedPublic

Authored by MartinCeresa on Sep 23 2016, 12:22 PM.

Details

Summary

When looking up flags, we make sure to lookup the non-deprecated flags first by ordering the list.

Diff Detail

Repository
rGHC Glasgow Haskell Compiler
Branch
fix-trac-12574
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 11099
Build 13324: [GHC] Linux/amd64: Patch building
Build 13323: arc lint + arc unit
MartinCeresa retitled this revision from to revision reorder wWarningFlags.
MartinCeresa updated this object.
MartinCeresa edited the test plan for this revision. (Show Details)
MartinCeresa updated the Trac tickets for this revision.
mpickering added a subscriber: mpickering.

Hi Martin, looking better.

I will abandon the other differential for you. In future you can update an existing differential
by arc diff --update D2541 in order to avoid creating a duplicate.

mpickering edited edge metadata.EditedSep 23 2016, 3:32 PM

Also see there are two failing tests. It would also be good to add a test for this issue, it would be quite simple.

https://phabricator.haskell.org/harbormaster/build/13247/

mpickering requested changes to this revision.Sep 24 2016, 5:27 AM
mpickering edited edge metadata.
This revision now requires changes to proceed.Sep 24 2016, 5:27 AM

Yes, I didn't thought such change could have all those implications.
The thing is that the test cases are incorrect (ish). They reveal the same problem we are trying to solve, they suggest deprecated flags.
I will run all the cases to be sure, and then update this revision.

bgamari edited edge metadata.Sep 27 2016, 4:23 PM

In case you didn't know, running ./validate from the source tree root will conveniently build and test a set of changes (although sadly it will clean and rebuild your tree so it isn't always desirable). My apologies if you were already aware of this.

Hello bgamari. Thank you very much for your suggestion. I've done that, and given that it takes hours to finish I left the office computer at that.
Tomorrow morning (if all went well) I will update the revision. I am very grateful for your help and time.

MartinCeresa edited edge metadata.
  • Merge branch 'master' into fix-trac-12574
  • update test files
  • test T#12574
mpickering accepted this revision.Oct 7 2016, 7:52 AM
mpickering retitled this revision from revision reorder wWarningFlags to Don't suggest deprecated flags in error messages.
mpickering updated this object.
mpickering edited edge metadata.
mpickering edited edge metadata.

Thanks. This looks good to merge.

This revision is now accepted and ready to land.Oct 7 2016, 7:52 AM

I will deal with landing this Ben.

This revision was automatically updated to reflect the committed changes.

Perfect! Thank you very much for your help!